Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

unassignedlist.php
Go to the documentation of this file.
1 <?php
3 //
4 // $Id: unassignedlist.php 9520 2002-05-08 13:05:20Z jb $
5 //
6 // Created on: <26-Oct-2000 19:40:18 bf>
7 //
8 // This source file is part of Exponential Basic, publishing software.
9 //
10 // Copyright (C) 1999-2001 eZ Systems. All rights reserved.
11 //
12 // This program is free software; you can redistribute it and/or
13 // modify it under the terms of the GNU General Public License
14 // as published by the Free Software Foundation; either version 2
15 // of the License, or (at your option) any later version.
16 //
17 // This program is distributed in the hope that it will be useful,
18 // but WITHOUT ANY WARRANTY; without even the implied warranty of
19 // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
20 // GNU General Public License for more details.
21 //
22 // You should have received a copy of the GNU General Public License
23 // along with this program; if not, write to the Free Software
24 // Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, US
25 //
26
27 // include_once( "ezimagecatalogue/classes/ezimage.php" );
28
29 if ( $Command == "list" )
30 {
31 $offset = 0;
32 $max = -1;
33 $total = 0;
34
35 if ( is_object( $Data["Part"] ) )
36 {
37 $Part = $Data["Part"]->value();
38 $offset = $Part["Offset"]->value();
39 $max = $Part["Max"]->value();
40 }
41
42 // $category = new eZImageCategory( $ID );
43
44 $loc_max = $max;
45 $loc_offset = $offset;
46
47 $art = array();
48 $imageCount = eZImage::countUnassigned();
49 $total += $imageCount;
50 if ( $loc_max > 0 and $loc_offset >= 0 )
51 {
52 $imageList =& eZImage::getUnassigned( $loc_offset, $loc_max );
53 // $imageList =& eZImage::getUnassigned();
54 foreach( $imageList as $imageItem )
55 {
56 $cols = array( "Caption" => new eZXMLRPCString( $imageItem->caption( false ) ),
57 "Description" => new eZXMLRPCString( $imageItem->description( false ) ),
58 "FileName" => new eZXMLRPCString( $imageItem->originalFileName() )
59 );
60 $art[] = new eZXMLRPCStruct( array( "URL" => createURLStruct( "ezimagecatalogue",
61 "image",
62 $imageItem->id() ),
63 "Name" => new eZXMLRPCString( $imageItem->name( false ) ),
64 "Thumbnail" => new eZXMLRPCBool( true )
65 )
66 );
67 }
68 }
69 // if ( $offset > 0 )
70 // usleep( 5000000 );
71
72 $cat = array();
73 $par = array();
74 if ( $offset == 0 )
75 {
76 $par[] = createURLStruct( "ezimagecatalogue", "" );
77 }
78
79 $part_arr = array( "Offset" => new eZXMLRPCInt( $offset ),
80 "Total" => new eZXMLRPCInt( $total ) );
81 if ( $offset == 0 )
82 {
83 $part_arr["Begin"] = new eZXMLRPCBool( true );
84 }
85 if ( $total == $offset + count( $art ) )
86 {
87 $part_arr["End"] = new eZXMLRPCBool( true );
88 }
89 $part = new eZXMLRPCStruct( $part_arr );
90
91 if ( $offset == 0 )
92 $cols = new eZXMLRPCStruct( array( "Caption" => new eZXMLRPCString( "text" ),
93 "Description" => new eZXMLRPCString( "text" ),
94 "FileName" => new eZXMLRPCString( "text" )
95 ) );
96
97 $ret = array( "Catalogues" => $cat,
98 "Elements" => $art,
99 "Path" => $par,
100 "Part" => $part );
101 if ( $offset == 0 )
102 $ret["Columns"] = $cols;
103
104 $ReturnData = new eZXMLRPCStruct( $ret );
105 }
106
107 ?>
$total
else $total["inctax"]
Definition: checkout.php:1359
eZImage\countUnassigned
static countUnassigned()
Definition: ezimage.php:543
eZImage\getUnassigned
static getUnassigned( $offset=-1, $limit=-1)
Definition: ezimage.php:515
eZXMLRPCBool
Definition: ezxmlrpcbool.php:37
eZXMLRPCInt
Definition: ezxmlrpcint.php:37
eZXMLRPCString
Definition: ezxmlrpcstring.php:37
eZXMLRPCStruct
Definition: ezxmlrpcstruct.php:37
$cat
if(isset( $DeleteCategories)) $cat
Definition: ezforum/admin/categoryedit.php:49
$imageList
$imageList
Definition: ezimagecatalogue/admin/unassigned.php:96
$imageCount
else $imageCount
Definition: ezimagecatalogue/admin/unassigned.php:102
$ret
$ret
Definition: ezsitemanager/admin/filelist.php:88
$offset
$offset
Definition: ezstats/admin/cron.php:51
$ReturnData
$ReturnData
Definition: tag.php:48
$part
$part
Definition: tag.php:46
$part_arr
foreach( $tagList as $tag) $part_arr
Definition: tag.php:42
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.